import request from '@/utils/request'

// 查询共享车位列表
export function listShared(data) {
  return request({
    url: '/tShared/list',
    method: 'post',
    data: data
  })
}

// 查询共享车位详细
export function getShared(id) {
  return request({
    url: '/tShared/' + id,
    method: 'get'
  })
}

// 新增共享车位
export function addShared(data) {
  return request({
    url: '/tShared',
    method: 'post',
    data: data
  })
}

// 修改共享车位
export function updateShared(data) {
  return request({
    url: '/tShared',
    method: 'put',
    data: data
  })
}

// 删除共享车位
export function delShared(id) {
  return request({
    url: '/tShared/' + id,
    method: 'delete'
  })
}

// 导出共享车位
export function exportShared(query) {
  return request({
    url: '/tShared/export',
    method: 'get',
    params: query
  })
}
